#!/bin/bash

##############################################################
# Name:certificate_update.sh
#keystore.jks
# Description: Fix for updating cpamservercert and keystore
# #
###############################################################

NOW=$(date +"%m-%d-%Y %H:%M:%S") 

echo "START" $NOW

mkdir -p /home/cpamadmin/CERT_BACKUP/
mkdir -p /home/cpamadmin/WEB_CERT_BACKUP/

CERT_PATCH=/home/cpamadmin/certpatch

CPAM_CERT=/opt/cisco/cpam/keystores/
WEB_CERT=/opt/cisco/cpam/apache-tomcat/conf/

JARBACKUPSERVER=/home/cpamadmin/CERT_BACKUP/

WEBBACKUP=/home/cpamadmin/WEB_CERT_BACKUP


#backup the old certificate

cp $CPAM_CERT/cpamservercert.jks $JARBACKUPSERVER

cp $CPAM_CERT/keystore.jks $JARBACKUPSERVER

cp $WEB_CERT/keystore.jks $WEBBACKUP

#Apply the latest certificate in server side
cp $CERT_PATCH/cpamservercert.jks $CPAM_CERT/
cp $CERT_PATCH/keystore.jks $CPAM_CERT/

#Apply the latest certificate in webadmin inside
cp $CERT_PATCH/keystore.jks $WEB_CERT/

echo "Copied the Jars to the CPAM environment" $NOW

#change the file premission to server side
chown cpam:cpam $CPAM_CERT/cpamservercert.jks
chown cpam:cpam $CPAM_CERT/keystore.jks
chmod 700 $CPAM_CERT/cpamservercert.jks 
chmod 700 $CPAM_CERT/keystore.jks


#change the file premission to webadmin side
chown cpam:cpam $WEB_CERT/keystore.jks
chmod 700 $WEB_CERT/keystore.jks

echo "File premission changed to CPAM environment" $NOW

echo "DONE!" $NOW

exit 0
